EDIT - feature request #9439

Split PreferencePredicates depending on their type
02/01/2021 03:37 PM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

copied from #7902

"For boolean and/or UUIDs /UUID Lists and maybe others we may think about separate enums to explicitly handle getters/setters for
the type (to convert from String to Type and back). But not sure if this really works as expected. | have added a generic to
IPreferencePredicate to allow the return value to be more specific then Object for a certain enum."

Related issues:

Related to EDIT - task #8001: Update CDM preference paths for v5.5 New
Copied from EDIT - feature request #7902: Allow default values for Preference... Closed
History

#1 - 02/01/2021 03:37 PM - Andreas Miiller

- Copied from feature request #7902: Allow default values for PreferencePredicates added

#2 - 02/01/2021 03:47 PM - Andreas Miiller
- Related to task #8001: Update CDM preference paths for v5.5 added

#3 - 10/26/2021 01:07 PM - Andreas Miiller

- Tags set to preferences
